package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;

public class GenMsgContent extends ASN1Encodable {
   private ASN1Sequence content;

   private GenMsgContent(ASN1Sequence seq) {
      this.content = seq;
   }

   public static GenMsgContent getInstance(Object o) {
      if (o instanceof GenMsgContent) {
         return (GenMsgContent)o;
      } else if (o instanceof ASN1Sequence) {
         return new GenMsgContent((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public InfoTypeAndValue[] toInfoTypeAndValueArray() {
      int var1;
      InfoTypeAndValue[] var2 = new InfoTypeAndValue[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = InfoTypeAndValue.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
